org.appng.core.repository

## Interface DatabaseConnectionRepository

- All Superinterfaces:
    org.springframework.data.repository.CrudRepository<DatabaseConnection,Integer>, org.springframework.data.jpa.repository.JpaRepository<DatabaseConnection,Integer>, org.springframework.data.jpa.repository.JpaSpecificationExecutor<DatabaseConnection>, org.springframework.data.repository.PagingAndSortingRepository<DatabaseConnection,Integer>, org.springframework.data.repository.query.QueryByExampleExecutor<DatabaseConnection>, org.springframework.data.repository.Repository<DatabaseConnection,Integer>, SearchRepository<DatabaseConnection,Integer>

      public interface DatabaseConnectionRepository
      extends SearchRepository<DatabaseConnection,Integer>

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<DatabaseConnection>` | `findBySiteId(Integer id)`
    `DatabaseConnection` | `findBySiteIsNullAndType(DatabaseConnection.DatabaseType databaseType)`

    - ### Methods inherited from interface org.appng.persistence.repository.SearchRepository

      `createSearchQuery, detach, getHistory, getRevision, getRevisionNumber, isUnique, isUnique, search, search, search, search`

    - ### Methods inherited from interface org.springframework.data.jpa.repository.JpaRepository

      `deleteAllInBatch, deleteInBatch, findAll, findAll, findAll, findAll, findAll, flush, getOne, save, saveAndFlush`

    - ### Methods inherited from interface org.springframework.data.repository.PagingAndSortingRepository

      `findAll`

    - ### Methods inherited from interface org.springframework.data.repository.CrudRepository

      `count, delete, delete, delete, deleteAll, exists, findOne, save`

    - ### Methods inherited from interface org.springframework.data.repository.query.QueryByExampleExecutor

      `count, exists, findAll, findOne`

    - ### Methods inherited from interface org.springframework.data.jpa.repository.JpaSpecificationExecutor

      `count, findAll, findAll, findAll, findOne`

- - ### Method Detail

    - #### findBySiteIsNullAndType

          DatabaseConnection findBySiteIsNullAndType(DatabaseConnection.DatabaseType databaseType)

    - #### findBySiteId

          @Query(value="from DatabaseConnection d where d.site.id = ?1")
          List<DatabaseConnection> findBySiteId(Integer id)

Copyright © 2011–2023 aiticon GmbH. All rights reserved.